Description

Would it be possible to add the OPTIONS parameter to the list available with gdal:contour in QGIS 3?

For example, it would be good to be able to specify the additional option '-fl <contour1> <contour2> etc' to allow generation of contours at

user-defined levels.

It looks like this requires quite modest modification to processing\algs\gdal\contour.py. Including OPTIONS in the class attributes and

adding 'self.addParameter(...' to initAlgorithm and 'arguments.append(options)' to getConsoleCommands seems to work.

Thanks,

Geoff Kimbell

History

#1 - 2018-09-07 02:47 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

Feel free to submit a patch.

#2 - 2018-09-07 08:20 PM - Geoff Kimbell

- File 0001-Update-contour.py.patch added

Thanks Giovanni - patch file attached. Not sure if this is the best way of adding this functionality though...

Cheers,

Geoff

#3 - 2018-09-08 11:22 AM - Giovanni Manghi

Geoff Kimbell wrote:

Thanks Giovanni - patch file attached. Not sure if this is the best way of adding this functionality though...

Cheers,

Geoff
Thanks! would you mind send the patch as a Pull Request in the QGIS GitHub repository?

#4 - 2018-09-08 12:15 PM - Geoff Kimbell

OK - I've submitted the request. Hope I did it right (first timer!)

#5 - 2018-09-25 02:11 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files

0001-Update-contour.py.patch 1.8 KB 2018-09-07 Geoff Kimbell
